<?

 /*************************************************************************************
 * Filename: modules/projects.php
 *
 * This file is part of the ITS JAS plugin.
 * Copyright 2003-2015 by Matthijs Schuurman
 *
 * The ITS JAS plugin is free software under the terms of the
 * GNU General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the plugin or http://jas.junerules.com/plugins/its/
 *************************************************************************************/


 require_once($_path["include"]."module.php");

 class Plugin_Module_its_projects extends Module
 {
  function __construct(&$data)
  {
   parent::__construct($data);

   $this->data->title="ITS projects";

   $this->data->defaultFields();

   $this->data->addField("code", "text", "all", "title", 2, 5, false, "Code");
   $this->data->addField("name", "text", "all", "title", 5, 255, false, "Name");
   $this->data->addField("description", "html", "all", "wysiwyg", 0, 65536, false, "Description");

   $this->data->addMutilation("code", "case", "upper");

   $this->data->sortOrder("name");
  }
 }
?>
